=== debian/changelog ===
yubikey-val (2.23-2) unstable; urgency=low

  [ Dain Nilsson ]
  * Removed debconf note (closes: #710844).

 -- Simon Josefsson <simon@josefsson.org>  Thu, 05 Sep 2013 20:20:26 +0200

yubikey-val (2.23-1) unstable; urgency=low

  * Initial package (closes: #699530).

 -- Dain Nilsson <dain@yubico.com>  Wed, 17 Apr 2013 17:29:02 +0200
