## yubikey-val 2.24

=== Makefile ===
--- 
+++ 
@@ -25,9 +25,9 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-VERSION = 2.23
+VERSION = 2.24
 PACKAGE = yubikey-val
-CODE = COPYING Makefile NEWS ykval-checksum-clients			\
+CODE = COPYING Makefile NEWS README ykval-checksum-clients		\
 	ykval-common.php ykval-config.php ykval-db.php ykval-db.sql	\
 	ykval-export ykval-import ykval-log.php ykval-ping.php	\
 	ykval-queue ykval-revoke.php ykval-synclib.php		\
@@ -142,7 +142,7 @@
 	fi
 	@head -1 NEWS | grep -q "Version $(VERSION) (released `date -I`)" || \
 		(echo 'error: You need to update date/version in NEWS'; exit 1)
-	@if test ! -d $(YUBICO_GITHUB_REPO); then \
+	@if test ! -d "$(YUBICO_GITHUB_REPO)"; then \
 		echo "yubico.github.com repo not found!"; \
 		echo "Make sure that YUBICO_GITHUB_REPO is set"; \
 		exit 1; \
@@ -150,5 +150,5 @@
 	gpg --detach-sign --default-key $(KEYID) $(PACKAGE)-$(VERSION).tgz
 	gpg --verify $(PACKAGE)-$(VERSION).tgz.sig
 	git tag -u $(KEYID) -m $(VERSION) $(PACKAGE)-$(VERSION)
-	echo "Release created and tagged, remember to git push && git push --tags"
+	@echo "Release created and tagged, remember to git push && git push --tags"
 	$(YUBICO_GITHUB_REPO)/publish $(PROJECT) $(VERSION) $(PACKAGE)-$(VERSION).tgz*
