=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

override_dh_auto_build:
# There is no default 'make' target for this package

override_dh_installinit:
	dh_installinit --name ykval-queue

%:
	dh $@
