## yubikey-val 2.27

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 # OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-VERSION = 2.25
+VERSION = 2.27
 PACKAGE = yubikey-val
 CODE = COPYING Makefile NEWS README ykval-checksum-clients		\
 	ykval-common.php ykval-config.php ykval-db.php ykval-db.sql	\
@@ -41,14 +41,17 @@
 	ykval-synchronize.1 ykval-gen-clients.1
 MUNIN = ykval-munin-ksmlatency.php ykval-munin-vallatency.php	\
 	ykval-munin-queuelength.php ykval-munin-responses.pl \
-	ykval-munin-yubikeystats.php
-DOCS = doc/ImportExportData.adoc doc/Installation.adoc			\
-	doc/RevocationService.adoc doc/ServerReplicationProtocol.adoc	\
-	doc/SyncMonitor.adoc doc/Troubleshooting.adoc
+	ykval-munin-yubikeystats.php ykval-munin-ksmresponses.pl
+DOCS = doc/GeneratingClients.adoc doc/GettingStartedWritingClients.adoc \
+	doc/ImportExportData.adoc doc/Installation.adoc doc/MakeRelease.adoc \
+	doc/MuninProbes.adoc doc/RevocationService.adoc \
+	doc/ServerReplicationProtocol.adoc doc/SyncMonitor.adoc \
+	doc/Troubleshooting.adoc doc/ValidationProtocolV20.adoc \
+	doc/ValidationServerAlgorithm.adoc doc/YubiKeyInfoFormat.adoc
 
 all:
 	@echo "Try 'make install' or 'make symlink'."
-	@echo "Docs: https://github.com/Yubico/yubikey-val/docs/Installation.adoc"
+	@echo "Docs: https://developers.yubico.com/yubikey-val/doc/Installation.html"
 	@exit 1
 
 # Installation rules.
@@ -93,6 +96,7 @@
 	install -D ykval-munin-vallatency.php $(DESTDIR)$(muninprefix)/ykval_vallatency
 	install -D ykval-munin-queuelength.php $(DESTDIR)$(muninprefix)/ykval_queuelength
 	install -D ykval-munin-responses.pl $(DESTDIR)$(muninprefix)/ykval_responses
+	install -D ykval-munin-ksmresponses.pl $(DESTDIR)$(muninprefix)/ykval_ksmresponses
 	install -D ykval-munin-yubikeystats.php $(DESTDIR)$(muninprefix)/ykval_yubikeystats
 	install -D --backup --mode 640 --group $(wwwgroup) ykval-config.php $(DESTDIR)$(etcprefix)/ykval-config.php
 	install -D --mode 644 ykval-db.sql $(DESTDIR)$(docprefix)/ykval-db.sql
