=== debian/changelog ===
yubikey-val (2.27-2) unstable; urgency=low

  [ Klas Lindfors ]
  * Fix watch file.

  [ Simon Josefsson ]
  * Change my email.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 27 Dec 2014 22:58:58 +0100

yubikey-val (2.27-1) unstable; urgency=medium

  [ Klas Lindfors ]
  * New upstream release.

  [ Simon Josefsson ]
  * Update upstream-signing-key.pgp.

 -- Simon Josefsson <simon@yubico.com>  Wed, 01 Oct 2014 18:09:39 +0200

yubikey-val (2.26-1) unstable; urgency=medium

  * New upstream release.

 -- Klas Lindfors <klas@yubico.com>  Wed, 24 Sep 2014 10:56:39 +0200

yubikey-val (2.25-2) unstable; urgency=medium

  [ Klas Lindfors ]
  * Fix postgres dbconfig.

  [ Simon Josefsson]
  * Bump Standards-Version to 3.9.6.

 -- Klas Lindfors <klas@yubico.com>  Fri, 19 Sep 2014 16:13:22 +0200
