=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: Simon Josefsson <simon@yubico.com>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
+Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
 Build-Depends: debhelper (>= 9),
 	       po-debconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://developers.yubico.com/yubikey-val/
 Vcs-Browser: https://github.com/Yubico/yubikey-val-dpkg
 Vcs-Git: git://github.com/Yubico/yubikey-val-dpkg.git
