=== debian/changelog ===
yubikey-val (2.28-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 26 Feb 2015 13:41:51 +0100
