=== debian/changelog ===
yubikey-val (2.33-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565919).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 04 Apr 2016 10:54:52 -0700

yubikey-val (2.33-1) unstable; urgency=low

  * New upstream release.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 08 Oct 2015 12:39:27 +0200

yubikey-val (2.32-1) unstable; urgency=low

  * New upstream release.
  * Update upstream-signing-key.pgp.
  * Tweak watch file.
  * Tweak Upstream-Name in copyright file.
  * Add gbp.conf.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Sep 2015 09:04:17 +0200

yubikey-val (2.29-1) unstable; urgency=low

  * New upstream release.
  * Update debian/README.source.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 21 Aug 2015 12:05:10 +0200
