=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: yubikey-val
 Section: net
 Priority: extra
-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
 Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
 Build-Depends: debhelper (>= 9),
 	       po-debconf
@@ -14,12 +15,12 @@
 Architecture: all
 Depends: ${misc:Depends},
 	 apache2,
-	 php5,
-	 php5-cli,
-	 php5-curl,
+	 php,
+	 php-cli,
+	 php-curl,
 	 php-pear,
 	 mysql-server | postgresql,
-	 php5-mysql | php5-pgsql,
+	 php-mysql | php-pgsql,
 	 dbconfig-common
 Recommends: mysql-client | postgresql-client
 Suggests: yubikey-ksm | yhsm-yubikey-ksm
