=== debian/changelog ===
yubikey-val (2.38-2) unstable; urgency=low

  * Fix typo in Vcs-Git URL.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 17 Aug 2016 14:16:46 +0200

yubikey-val (2.38-1) unstable; urgency=low

  [ Jean Paul Galea ]
  * New upstream release.
  * Fix missing PHP BC Math module on Ubuntu 16.04
  * PHP 7 fixes in earlier internal releases.  Closes: #821670.

  [ Simon Josefsson ]
  * Fix lintian command-with-path-in-maintainer-script.
  * Use https URLs in Vcs-Git.
  * Update Standards-Version from 3.9.6 to 3.9.8.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 09 Aug 2016 16:37:32 +0200

yubikey-val (2.37-1) unstable; urgency=low

  * New upstream release.
  * Fix apache conf.d file to also work with mod_php7.
  * Fix missing php xml module when installing in a php 7 environment.
  * Revert to mysql-server as default database dependency.

 -- Jean Paul Galea <jeanpaul@yubico.com>  Tue, 17 May 2016 11:30:00 +0200

yubikey-val (2.36-1) unstable; urgency=low

  * New upstream release.
  * Drop php-pear package dependency.
  * Add support for php 7.
  * Add support for mariadb-server.

 -- Jean Paul Galea <jeanpaul@yubico.com>  Mon, 16 May 2016 15:45:00 +0200

yubikey-val (2.35-1) unstable; urgency=low

  * New upstream release.

 -- Jean Paul Galea <jeanpaul@yubico.com>  Thu, 21 Apr 2016 09:30:27 +0200

yubikey-val (2.34-1) unstable; urgency=low

  * New upstream release.

 -- Jean Paul Galea <jeanpaul@yubico.com>  Mon, 18 Apr 2016 19:25:27 +0200
