=== debian/control ===
--- 
+++ 
@@ -1,26 +1,26 @@
 Source: yubikey-val
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
 Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Daniel Pocock <daniel@pocock.com.au>
 Build-Depends: debhelper (>= 9),
 	       po-debconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://developers.yubico.com/yubikey-val/
 Vcs-Browser: https://github.com/Yubico/yubikey-val-dpkg
-Vcs-Git: git://github.com/Yubico/yubikey-val-dpkg.git
+Vcs-Git: https://github.com/Yubico/yubikey-val-dpkg.git
 
 Package: yubikey-val
 Architecture: all
 Depends: ${misc:Depends},
 	 apache2,
-	 php,
-	 php-cli,
-	 php-curl,
-	 php-pear,
-	 mysql-server | postgresql,
-	 php-mysql | php-pgsql,
+	 php | php5,
+	 php-cli | php5-cli,
+	 php-curl | php5-curl,
+	 php-xml | php5-common,
+	 php-bcmath | php5-common,
+	 mysql-server | mariadb-server | postgresql,
+	 php-mysql | php-pgsql | php5-mysql | php5-pgsql,
 	 dbconfig-common
 Recommends: mysql-client | postgresql-client
 Suggests: yubikey-ksm | yhsm-yubikey-ksm
