=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
  https://developers.yubico.com/yubikey-val/Releases/ yubikey-val-(\d[\d.]*)\.tgz
